<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<jsp:include page="../../inc.jsp"></jsp:include>
<script type="text/javascript" charset="utf-8">
	var datagrid;
	$(function() {
		datagrid = $('#datagrid').datagrid({
			url : 'worktimeout!datagrid.do',
			iconCls : 'icon-save',
			pagination : true,
			pagePosition : 'bottom',
			pageSize : 20,
			pageList : [ 20, 40, 60, 80, 100, 120, 140, 160, 200 ],
			fit : true,
			fitColumns : true,
			nowrap : false,
			border : false,
			idField : 'id',
			sortName : 'id',
			sortOrder : 'desc',
			frozenColumns : [ [ {
				title : '编号',
				field : 'id',
				width : 150,
				sortable : true,
				checkbox : true
			}, {
				title : '考勤编号',
				field : 'attendanceid',
				width : 150,
				sortable : true
			} ] ],
			columns : [ [{
				title : '矿区',
				field : 'mineareaname',
				width : 120,
				
			},{
				title : '部门',
				field : 'departname',
				width : 120,
				
			},{
				title : '编号',
				field : 'personcode',
				width : 100
			}, {
				title : '姓名',
				field : 'personname',
				width : 100
			}, {
				title : '入境时间',
				field : 'intime',
				width : 180
			}, {
				title : '出井时间',
				field : 'outtime',
				width : 180
			}, {
				title : '停留时间',
				field : 'staytime',
				width : 150
			}, {
				title : '处理方式',
				field : 'handle',
				width : 80
			}, {
				title : '处理时间',
				field : 'handletime',
				width : 180
			}, {
				title : '状态',
				field : 'flag',
				width : 80,
				formatter : function(value, row, index) {
					if (value == "0") {
						return "<font color='red'>未处理</font>";
					} else {
						return "已处理";
					}
				}
			} ] ],
			toolbar : [ {
				text : '加班',
				iconCls : 'icon-add',
				handler : function() {
					addtime();
				}
			}, '-', {
				text : '漏卡',
				iconCls : 'icon-remove',
				handler : function() {
					miss();
				}
			}, '-', {
				text : '忽略',
				iconCls : 'icon-edit',
				handler : function() {
					ignore();
				}
			}, '-', {
				text : '导出',
				iconCls : 'icon-edit',
				handler : function() {
					exportd();
				}
			}, '-', {
				text : '取消选中',
				iconCls : 'icon-undo',
				handler : function() {
					datagrid.datagrid('unselectAll');
				}
			}, '-' ],
			onRowContextMenu : function(e, rowIndex, rowData) {
				e.preventDefault();
				$(this).datagrid('unselectAll');
				$(this).datagrid('selectRow', rowIndex);
				$('#menu').menu('show', {
					left : e.pageX,
					top : e.pageY
				});
			}
		});
	});
	
	
	function addtime() {
		var rows = datagrid.datagrid('getChecked');
		var ids = [];
		if (rows.length > 0) {
			parent.dj
					.messagerConfirm(
							'请确认',
							'您要处理当前所选项目？',
							function(r) {
								if (r) {
									for ( var i = 0; i < rows.length; i++) {
										ids.push(rows[i].id);
									}
									$
											.ajax({
												url : '${pageContext.request.contextPath}/worktimeout!addtime.do',
												data : {
													ids : ids.join(',')
												},
												dataType : 'json',
												success : function(d) {
													datagrid.datagrid('load');
													datagrid
															.datagrid('unselectAll');
													parent.dj.messagerShow({
														title : '提示',
														msg : d.msg
													});
												}
											});
								}
							});
		} else {
			parent.dj.messagerAlert('提示', '请勾选要处理的记录！', 'error');
		}
	}
	function miss() {
		var rows = datagrid.datagrid('getChecked');
		var ids = [];
		if (rows.length > 0) {
			parent.dj
					.messagerConfirm(
							'请确认',
							'您要处理当前所选项目？',
							function(r) {
								if (r) {
									for ( var i = 0; i < rows.length; i++) {
										ids.push(rows[i].id);
									}
									$
											.ajax({
												url : '${pageContext.request.contextPath}/worktimeout!miss.do',
												data : {
													ids : ids.join(',')
												},
												dataType : 'json',
												success : function(d) {
													datagrid.datagrid('load');
													datagrid
															.datagrid('unselectAll');
													parent.dj.messagerShow({
														title : '提示',
														msg : d.msg
													});
												}
											});
								}
							});
		} else {
			parent.dj.messagerAlert('提示', '请勾选要处理的记录！', 'error');
		}
	}
	
	function ignore() {
		var rows = datagrid.datagrid('getChecked');
		var ids = [];
		if (rows.length > 0) {
			parent.dj
					.messagerConfirm(
							'请确认',
							'您要处理当前所选项目？',
							function(r) {
								if (r) {
									for ( var i = 0; i < rows.length; i++) {
										ids.push(rows[i].id);
									}
									$
											.ajax({
												url : '${pageContext.request.contextPath}/worktimeout!ignore.do',
												data : {
													ids : ids.join(',')
												},
												dataType : 'json',
												success : function(d) {
													datagrid.datagrid('load');
													datagrid
															.datagrid('unselectAll');
													parent.dj.messagerShow({
														title : '提示',
														msg : d.msg
													});
												}
											});
								}
							});
		} else {
			parent.dj.messagerAlert('提示', '请勾选要处理的记录！', 'error');
		}
	}
	
	function history() {
		var rows = datagrid.datagrid('getSelections');
		if (rows.length == 1) {
			var p = parent.dj
					.dialog({
						title : '查看人员轨迹',
						href : '${pageContext.request.contextPath}/worktimeout!worktimeoutHistory.do?personcode='
								+ rows[0].personcode,
						width : 800,
						height : 500,
						onLoad : function() {
						
						var datagridtemp;
	datagridtemp = p.find("worktimeouthistorydatagrid");
	alert(datagridtemp);
		datagridtemp.datagrid({
		url : 'readinfo!datagrid.do',
			//url : 'readinfo!datagridperson.do?personcode='
						//		+ rows[0].personcode,
			iconCls : 'icon-save',
			pagination : true,
			pagePosition : 'bottom',
			pageSize : 20,
			pageList : [ 20, 40, 60, 80, 100, 120, 140, 160, 200 ],
			fit : true,
			fitColumns : true,
			nowrap : false,
			border : false,
			idField : 'id',
			sortName : 'id',
			sortOrder : 'desc',
			frozenColumns : [ [ {
				title : '序号',
				field : 'id',
				width : 150,
				sortable : true,
				checkbox : true
			} ] ],
			columns : [ [ {
				title : '卡号',
				field : 'zddz',
				width : 150
			}, {
				title : '编号',
				field : 'personcode',
				width : 150
			}, {
				title : '姓名',
				field : 'personname',
				width : 150
			}, {
				title : '矿区',
				field : 'mineareaname',
				width : 150
			}, {
				title : '中段',
				field : 'layer',
				width : 150
			}, {
				title : '基站',
				field : 'senid',
				width : 150
			}, {
				title : '时间',
				field : 'readtime',
				width : 150
			} ] ],
			toolbar : [ {
				text : '导出',
				iconCls : 'icon-edit',
				handler : function() {
					exportd();
				}
			}, '-' ]
			
		});
	
									

						}
						
					});
		} else if (rows.length > 1) {
			parent.dj.messagerAlert('提示', '同一时间只能查看一个人的轨迹！', 'error');
		} else {
			parent.dj.messagerAlert('提示', '请选择要查看的记录！', 'error');
		}
	}
	function _search() {
		datagrid.datagrid('load', dj.serializeObject($('#searchForm')));
	}
	function cleanSearch() {
		datagrid.datagrid('load', {});
		$('#searchForm input').val('');
	}
	function exportd() {
		Export('超时记录', $('#datagrid'))
	}
</script>
</head>
<body class="easyui-layout">
<div data-options="region:'north',border:false,title:'过滤条件'" style="height: 110px;overflow: hidden;" align="left">
		<form id="searchForm">
			<table class="tableForm datagrid-toolbar" style="width: 100%;height: 100%;">
				<tr>
					<th>编号：</th>
					<td><input  name="personcode" style="width:160px;" />
					<th>姓名：</th>
					<td><input  name="personname" style="width:160px;" />
					</td>
					<th>矿区：</th>
					<td>			
					<select name="mineareacode" class="easyui-combotree" style="width:160px;"   
        data-options="url:'${pageContext.request.contextPath}/minearea!doNotNeedSession_treeRecursive.do'"></select>  
					 </td>
					<th>部门：</th>
					<td>
					<select  name="departcode" class="easyui-combotree" style="width:160px;"   
        data-options="url:'${pageContext.request.contextPath}/dept!doNotNeedSession_treeRecursive.do'"></select>
        </td>
					
				</tr>
				<tr>
					
        <th>日期：</th>
					<td colspan="3"><input class="easyui-datebox" name="intimeStart" style="width:150px;" />（查询入井时间在此日期内）</td>
			  <th>处理方式：</th>
					<td><select id="handle" class="easyui-combobox" name="handle" style="width:160px;">   
    <option value=""></option>
    <option value="加班">加班</option>   
    <option value="漏卡">漏卡</option>
    <option value="忽略">忽略</option>     
   
</select>  

</td>
			 <th>状态：</th>
					<td><select id="flag" class="easyui-combobox" name="flag" style="width:160px;">   
    <option value=""></option>
    <option value="0">未处理</option>   
    <option value="1">已处理</option>      
   
</select>  

</td>
			
        <td colspan="2">
					<a href="javascript:void(0);" class="easyui-linkbutton" onclick="_search();">过滤</a><a href="javascript:void(0);" class="easyui-linkbutton" onclick="cleanSearch();">取消</a></td>
				</tr>
			</table>
		</form>
	</div>
	<div data-options="region:'center',border:false"
		style="overflow: hidden;">
		<table id="datagrid"></table>
	</div>

	<div id="menu" class="easyui-menu" style="width:120px;display: none;">
		<div onclick="addtime();" data-options="iconCls:'icon-add'">加班</div>
		<div onclick="miss();" data-options="iconCls:'icon-remove'">漏卡</div>
		<div onclick="ignore();" data-options="iconCls:'icon-edit'">忽略</div>
	<!--  	<div onclick="history();" data-options="iconCls:'icon-edit'">查看轨迹</div>-->
		<div onclick="exportd();" data-options="iconCls:'icon-edit'">导出</div>
	</div>
</body>
</html>